<?php namespace App\Http\Controllers\Api;

use App\Http\Controllers\Api\Api;
use App\Models\Admin;

/**
 * 管理后台登录控制器
 *
 * @author 刘相欣
 *
 * */
class Login extends Api {

	/**
	 * 登录方法				/api/login/index
	 * 
	 * @param string 	username	登录账号
	 * @param string 	password	登录密码
	 * 
	 * */
    public function index(Admin $AdminUser){
		// 接收数据
		$username							= request('username','');
		// 接收数据
		$password							= request('password','');
		// 查询用户
		$admin								= $AdminUser->orWhere('username',$username)->orWhere('phone',$username)->first(['uid','username','phone','status','password','insert_time','update_time']);
        // 用户不存在
		if( !$admin )	return json_send(['code'=>'error','msg'=>'密码错误或账号不存在']);
		// 用户不存在
		if( $admin['status'] ) 				return json_send(['code'=>'error','msg'=>'该账号已停用']);
		// 转数组
		$admin								= $admin->toArray();
		// 比对密码
		if( md5($password) != $admin['password']) return json_send(['code'=>'error','msg'=>'密码错误或账号不存在']);

		// 登录
		$accessToken 						= $AdminUser->Login($admin['uid'],'admin');
		// 比对密码
		if( isset($accessToken['error']) ) 	return json_send(['code'=>'error','msg'=>'登录失败','data'=>$accessToken['data']]);
		// 登录名称
		$accessToken['username']			= $admin['username'];
		// 表单令牌
		return								json_send(['code'=>'success','msg'=>'登录成功','data'=>$accessToken]);
    }

}